Bug 12649 - Add Croatian language
Summary: Add Croatian language
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Dobrica Pavlinusic
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-24 12:11 UTC by Dobrica Pavlinusic
Modified: 2015-06-04 23:33 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12649 - Add Croatian language (1.50 KB, patch)
2014-07-24 12:29 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 12649 - Add Croatian language (10.03 KB, patch)
2014-07-24 13:09 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 12649 - Add Croatian language (12.76 KB, patch)
2014-07-24 15:11 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 12649 - Add Croatian language (12.76 KB, patch)
2014-07-24 15:31 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 12649 - Add Croatian language (12.76 KB, patch)
2014-07-24 15:32 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 12649 - Add Croatian language (12.92 KB, patch)
2014-07-24 18:30 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 12649 - Add Croatian language (12.67 KB, patch)
2014-07-24 19:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 12649: followup to add Croatian into french (1.62 KB, patch)
2014-07-26 14:13 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2014-07-24 12:11:45 UTC

    
Comment 1 Dobrica Pavlinusic 2014-07-24 12:13:34 UTC
This patch will conflict with http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=12017
Comment 2 Bernardo Gonzalez Kriegel 2014-07-24 12:26:22 UTC
(In reply to Dobrica Pavlinusic from comment #1)
> This patch will conflict with
> http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=12017

Don't worry, nobody has tested it. 
But also, it does not change database values.
Comment 3 Dobrica Pavlinusic 2014-07-24 12:29:39 UTC Comment hidden (obsolete)
Comment 4 Bernardo Gonzalez Kriegel 2014-07-24 12:58:25 UTC
(In reply to Dobrica Pavlinusic from comment #3)
> Created attachment 30028 [details] [review] [review]
> Bug 12649 - Add Croatian language

It's ready for signing?
Comment 5 Dobrica Pavlinusic 2014-07-24 13:09:41 UTC Comment hidden (obsolete)
Comment 6 Dobrica Pavlinusic 2014-07-24 13:10:47 UTC
It is now :-)
Comment 7 Bernardo Gonzalez Kriegel 2014-07-24 13:38:58 UTC
(In reply to Dobrica Pavlinusic from comment #6)
> It is now :-)

Two things:
1) Line 8551 on updatedatbase.pl, a missing ')'
SetVersion($DBversion; -> SetVersion($DBversion);

file does not run :(

2) There are no changes for these languages
it-IT
nb-NO
uk-UA

Save for that, patch works.

Don't forget a commit message with test plan!
Comment 8 Dobrica Pavlinusic 2014-07-24 15:03:06 UTC
Thanks for spotting upatedatabase.pl corruption, I missed other languages which doesn't have mandatory subdir, sigh.
Comment 9 Dobrica Pavlinusic 2014-07-24 15:11:29 UTC Comment hidden (obsolete)
Comment 10 Dobrica Pavlinusic 2014-07-24 15:31:04 UTC Comment hidden (obsolete)
Comment 11 Dobrica Pavlinusic 2014-07-24 15:31:36 UTC
Last change fixes typo in updatedatabase.pl. I think it's ready now.
Comment 12 Dobrica Pavlinusic 2014-07-24 15:32:52 UTC Comment hidden (obsolete)
Comment 13 Bernardo Gonzalez Kriegel 2014-07-24 18:30:00 UTC Comment hidden (obsolete)
Comment 14 Katrin Fischer 2014-07-24 19:51:55 UTC
Created attachment 30047 [details] [review]
[PASSED QA] Bug 12649 - Add Croatian language

Test scenario:
1. apply the patch
2. run updatedatabase.pl
3. install Croatian language
   cd misc/translator
   perl translate install hr-HR
4. go to Global system preferences > I18N/L10N preferences
   check that Hrvatski(hr-HR) is available

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Works, no koha-qa errors.
Also tested translating to de-DE and on advanced search opac/staff
is listed translated.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Note: This also makes the language show up in the language pull
down in advanced search. Because the entry is the last in the file,
it will show last in the list. I am noting this here, the list
is not really consistently sorted right now and there is work under
way to change the way we handle this.
Comment 15 Bernardo Gonzalez Kriegel 2014-07-26 14:13:37 UTC
Created attachment 30145 [details] [review]
Bug 12649: followup to add Croatian into french
Comment 16 Tomás Cohen Arazi 2014-07-29 14:53:49 UTC
Patch pushed to master.

Thanks Dobrica!